﻿using Luticate2.Auth.Dbo.Users;
using Luticate2.Utils.Dbo.Result;

namespace Luticate2.Auth.Interfaces.Users
{
    public interface ILuUsersBusiness
    {
        LuResult<UsersToken> GetToken(string token);

        LuResult<string> RegisterToken(UsersToken token);

        LuResult<UsersToken> UnRegisterToken(string token);

        bool IsTokenValid(UsersToken token);

        LuResult<UsersDbo> GetSingleById(string id);

        string HashPassword(string password, string salt);

        bool VerifyPasswordHash(string password, string hash, string salt);
    }
}